<?php

/**
 * The public-facing functionality of the plugin.
 *
 * @link       https://www.expertrec.com/
 * @since      1.0.0
 *
 * @package    Expertrecsearch
 * @subpackage Expertrecsearch/public
 */

/**
 * The public-facing functionality of the plugin.
 *
 * Defines the plugin name, version, and two examples hooks for how to
 * enqueue the public-facing stylesheet and JavaScript.
 *
 * @package    Expertrecsearch
 * @subpackage Expertrecsearch/public
 * @author     melchi <melchi@expertrec.com>
 */
class Expertrecsearch_Public {

	/**
	 * The ID of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $plugin_name    The ID of this plugin.
	 */
	private $plugin_name;

	/**
	 * The version of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $version    The current version of this plugin.
	 */
	private $version;

	/**
	 * Initialize the class and set its properties.
	 *
	 * @since    1.0.0
	 * @param      string    $plugin_name       The name of the plugin.
	 * @param      string    $version    The version of this plugin.
	 */
	public function __construct( $plugin_name, $version ) {

		$this->plugin_name = $plugin_name;
		$this->version = $version;

	}


	public function ci_search_form($form) {
		// error_log('expertrec_event_log [ replacing search box ]');
		//error_log($form);
		return "<ci-search></ci-search>";
	}

	public function expertrec_js_snippet() {
		// error_log('expertrec_event_log [ injecting our js ]');
        $site_id = get_option( 'expertrec_options' )['site_id'];
        $safe_id = isset($site_id) ? $site_id : get_option("admin_email");
		?>
     <script>
	     (function() {
	        var id = '<?php echo esc_attr($safe_id); ?>';
	        var ci_search = document.createElement('script');
	        ci_search.type = 'text/javascript';
	        ci_search.async = true;
	        ci_search.src = 'https://cse.expertrec.com/api/js/ci_common.js?id=' + id;
	        var s = document.getElementsByTagName('script')[0];
	        s.parentNode.insertBefore(ci_search, s);
	     })();
     </script>
     <?php
	}

}
